RoutingTable
Date: 2016-02-29

de.zib.scalaris

## Class RoutingTable

- java.lang.Object
- - de.zib.scalaris.RoutingTable

-     public class RoutingTable
      extends Object

  Scalaris interface to basic routing table information.
  Since:
    3.20
  Version:
    3.20
  Author:
    Thorsten Schuett, schuett@zib.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoutingTable()` Constructor, uses the default connection returned by `ConnectionFactory.createConnection()`.
    `RoutingTable(Connection conn)` Constructor, uses the given connection to an erlang node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getReplicationFactor()` Returns the replication factor used by the current routing table implementation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RoutingTable

          public RoutingTable()
                       throws ConnectionException

      Constructor, uses the default connection returned by `ConnectionFactory.createConnection()`.
      Throws:
        `ConnectionException` - if the connection fails

    - #### RoutingTable

          public RoutingTable(Connection conn)

      Constructor, uses the given connection to an erlang node.
      Parameters:
        `conn` - connection to use for the Scalaris access

  - ### Method Detail

    - #### getReplicationFactor

          public int getReplicationFactor()
                                   throws ConnectionException,
                                          UnknownException

      Returns the replication factor used by the current routing table implementation.
      Returns:
        the current replication factor
      Throws:
        `ConnectionException` - if the connection is not active or a communication error occurs or an exit signal was received or the remote node sends a message containing an invalid cookie
        `UnknownException` - if any other error occurs